Relative symbol angle overridden by layer angle

2011-10-27 08:05 PM - Leyan Ouyang

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14383

Description

When I create a symbol with different symbol layers, I can put a relative angle between them (say, two triangles with a 180 degres angle to

create a valve symbol). However, when I want to set an angle on the global layer angle property, the different angles are reset and the

relative rotation is lost. This problem does not appear on the size attribute, different elements will keep their relative size if the global size

is changed.

The attached patch solves this problem by copying the solution adopted for the size attribute. A better solution IMHO would be to have a

size and angle attribute for the layer, then another for each symbol, relative to the master attribute of the layer.

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:31 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-06-16 01:49 AM - Marco Hugentobler

- Pull Request or Patch supplied changed from No to Yes

#4 - 2012-06-17 01:35 PM - Marco Hugentobler

- Status changed from Open to Closed

Applied in d5e92d9a3b4740030a71a2930958291d7b0cb1a6. Thanks, Leyan!
